#include "swigutils.h"
#include <stdio.h>
#include <stdlib.h>


#if SWIGTEST
void somefunc(const char *str, size_t size)
{

}

void retfunc(char **buffer, size_t *size)
{

}

void newfunc(const char *buffer)
{

}

Ref* Ref_new(){
	return (Ref*)malloc(sizeof(Ref));
}
void Ref_free(Ref* ref)
{
	free(ref);
}

Ref*	retRef()
{
	return (Ref*)malloc(sizeof(Ref));
}

float Ref_getPos(Ref* ref){
	return 1.0f;
}

float Ref_getSize(Ref* ref){
	return 0.0f;
}
float RefA_getSize(RefA* ref){
	return 1.0f;
}


void RefB_ref(RefB* ptr)
{

}
void RefB_unref(RefB* ptr)
{

}

RefB*	retRefB(void*)
{
	return (Ref*)malloc(sizeof(Ref));
}

RefB*	someRefB(RefB* ref)
{
	return ref;
}

void testenum(BlendMode::type var)
{

}

#endif
